@import url("https://use.typekit.net/hmf7fjw.css");
@import url("https://use.typekit.net/ovz5wmn.css");
@import url('https://fonts.cdnfonts.com/css/cairopixel');

body { 
  font-style: thin;
  display: grid;
  min-height: 100vh;
  background-size: .5em .5em;
  font-family: "input-mono", serif;
  font-family: 'Cairopixel', sans-serif;
  background-color:rgb(252, 244, 244);
}

.input-mono {
font-family: "input-mono", monospace;
font-weight: 400;
font-style: normal;
}

.dropdown-container {
  position: fixed;
  font-style: thin;
  right: 20px;
  padding-top: 15px;
  font-weight: 400;
  text-align: center;
  z-index: 999;
}

  .dropdown-trigger {
    font-size: 28px;
    height: 100px;
    width: 100px;
    border-radius: 50%;
    border: 1.2px solid rgb(189, 9, 111);
    background-color: rgb(252, 244, 244);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 15px;
    z-index: 9999;
  }
  

.dropdown-menu {
  position: absolute;
  top: 99%;
  left: 57%; 
  transform: translateX(-50%);
  display: none;
  flex-direction: column;
  z-index: 10;

}

.dropdown-container:hover .dropdown-menu {
  display: flex;
  color:rgb(189, 9, 111);
  text-decoration: none;
}
.dropdown-connector {
  position: absolute;
  pointer-events: none;
}

.dropdown-connector line {
  stroke: rgb(189, 9, 111);
  stroke-width: 1;
}

.dropdown-menu a {
}



#ketis-link,
#ketis-link:visited,
#ketis-link:hover,
#ketis-link:active,
#ketis-link:focus {
  color: rgb(189, 9, 111);
  text-decoration: none;
  border: none;
  box-shadow: none;
  font-family: 'Cairopixel', sans-serif;
  display: fixed;
}



#ok {
  border: 1px solid rgb(189, 9, 111); /* Combined duplicate border rules */
  z-index: 1000;
  width: max-content;
  text-align: center;
  padding: 5px;
  background: rgb(252, 244, 244);
  text-decoration: none;
  font-size: 12px;
  color: rgb(189, 9, 111);
  font-family: "input-mono", monospace;
  font-weight: 100;
  margin-top: 30px;
  margin-left: auto;
  margin-right: 70px;
}
#ok2 {
  border: 1px solid rgb(189, 9, 111); /* Combined duplicate border rules */
  z-index: 1000;
  width: max-content;
  text-align: center;
  padding: 5px;
  background: rgb(252, 244, 244);
  text-decoration: none;
  font-size: 12px;
  color: rgb(189, 9, 111);
  font-family: "input-mono", monospace;
  font-weight: 100;
  margin-top: 20px;
  margin-left: auto;
  margin-right: 25px;
}
#ok2:hover { 
  box-shadow:2px 2px 5px rgb(189, 9, 111),
  -2px -2px 5px rgb(189, 9, 111),
   2px -2px 5px rgb(189, 9, 111),
    -2px 2px 5px rgb(189, 9, 111);
}

  #ok:hover {
    box-shadow:2px 2px 5px rgb(189, 9, 111),
    -2px -2px 5px rgb(189, 9, 111),
     2px -2px 5px rgb(189, 9, 111),
      -2px 2px 5px rgb(189, 9, 111);
      transition: text-shadow 0.3s ease-in;
    }
 .dropdown-trigger:hover {
    border-radius: 50%;
    box-shadow:2px 2px 5px rgb(189, 9, 111),
    -2px -2px 5px rgb(189, 9, 111),
     2px -2px 5px rgb(189, 9, 111),
      -2px 2px 5px rgb(189, 9, 111);
      transition: text-shadow 0.3s ease-in;
 }
#text {
    max-height: 60vh;
  margin-top: 10px;
  font-family: "input-mono", monospace;
  color:rgb(189, 9, 111);
  font-size: 13px;
  margin-left: 10px;
  margin-right: 10px;
  border: 1px solid rgb(189, 9, 111);
  margin-top: 5px;
  text-align: center;
}


#text4 {

  width: 40%;
  max-height: 60vh;
  color: rgb(0, 0, 0);
  margin-left: 20px;
  padding: 10px;
  margin-bottom: 100px;
  margin-top: 10px;
 
}


#imgGrid2 {
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    grid-template-rows: repeat(10, auto);
    justify-content: center;
    align-items: center;
    width: 100%; 
    height: 100%;
    display: flex;
    gap: 20px;
    margin-left:190px;
    margin-right: 160px;

}

@media (max-width: 500px) {
  #imgGrid2 {
    grid-template-columns: 1fr;
    width: 50%;
    gap: 20px;
    padding: 0 100px;
  }
}


#imgGrid2 img,
#imgGrid2 video { 
  height:320px;
  cursor: pointer;
  transition: all 0.85s ease;
}

#imgGrid2 img.enlarged {
  position: fixed;
  top: 10%;
  left: 50%;
  transform: translate(-30%, -50%);
  width: auto;
  z-index: 109;
  margin-top: -50px;
}


.insta-btn{
  font-size: 14px;

  font-family: "input-mono", monospace;
  position: fixed;
  bottom: 10px;
  right: 80px;
  color: rgb(189, 9, 111);
  border:1px solid  rgb(189, 9, 111);
  background:transparent;
  font-size:14px;
  text-decoration:none;
  font-weight:Thin;
  transition:0.3s;
}
@media (max-width: 600px) {
  .text3{
    display: none;
  }
}
.insta-btn:hover{
  box-shadow:2px 2px 5px rgb(189, 9, 111),
  -2px -2px 5px rgb(189, 9, 111),
   2px -2px 5px rgb(189, 9, 111),
    -2px 2px 5px rgb(189, 9, 111);
    transition: text-shadow 0.3s ease-in;;
}
.insta-btn2{
  position: fixed;
  bottom: 10px;
  right: 20px;
  font-size: 14px;

  font-family: "input-mono", monospace;
  color: rgb(189, 9, 111);
  border:1px solid  rgb(189, 9, 111);
  background:transparent;
  font-size:14px;
  text-decoration:none;
  font-weight:Thin;
  transition:0.3s;
}

.insta-btn2:hover{
  box-shadow:2px 2px 5px rgb(189, 9, 111),
  -2px -2px 5px rgb(189, 9, 111),
   2px -2px 5px rgb(189, 9, 111),
    -2px 2px 5px rgb(189, 9, 111);
    transition: text-shadow 0.3s ease-in;;
}
@media (max-width: 600px) {
  .projects-container, 
  .text3,
  .insta-btn,
  .insta-btn2 {
    display: none !important;
  }
}
.projects-container {
  text-align: left;
  padding: 3px;
  background: rgb(252, 244, 244);
  font-size: 16px;
  font-family: "input-mono", monospace;
  font-weight: 10;
  margin: 10px;
  position: fixed;
  border: 1px solid rgb(189, 9, 111);
}

.projects-container a {
  display: block;             
  border: 1px solid rgb(189, 9, 111);
  padding: 5px;

  text-decoration: none;
  color: rgb(189, 9, 111);
  background: rgb(252, 244, 244);
  cursor:pointer;
}
#text3 {
  right: 10px;              
  font-size: 14px;        
  color: rgb(189, 9, 111);    
  font-family: "input-mono", monospace;
  font-weight: 100;
  padding: 5px;        
}
#text3 a
{margin: 5px;
  padding: 5px;
  border: 1px solid rgb(189, 9, 111); 
    
}
.caption {
  position: absolute;
  left: 0;
  right: 0;
  text-align: left;
  color: rgb(189, 9, 111);
  font-size: 26px;
  text-decoration: none;
  top: -280px;
  opacity: 0;
  transition: opacity 0.6s ease-in-out;
}
.item {
  position: relative;

}
.item:hover .caption {
  opacity: 1;
}
.img-item {
  z-index: -500;
}

.img-item:hover {
  transform: scale(1.6);

  margin-top:-180px ;
  box-shadow:
    2px 2px 5px  rgb(189, 9, 111),
   -2px -2px 5px rgb(189, 9, 111),
    2px -2px 5px  rgb(189, 9, 111),
   -2px 2px 5px  rgb(189, 9, 111);
  z-index: 200;
}

.img-item {
  transition: all 0.85s ease;
  position: relative;
  overflow:scroll;
  z-index: 1;
}

.item:hover .img-item {
  transform: scale(1.4);
  overflow:scroll;
  z-index: 200;
}


